<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.liquidnet.service.kylin.mapper.AdminUpushMapper">

    <select id="searchList" resultType="com.liquidnet.service.kylin.dao.UpushDetailsListDao">
        SELECT *
        FROM admin_upush
        <where>
            <if test="pushTitle != ''">
                AND push_title LIKE concat('%', #{pushTitle}, '%')
            </if>
            <if test="pushRange != ''">
                AND push_range=${pushRange}
            </if>
            <if test="specifyType != ''">
                AND specify_type=${specifyType}
            </if>
            <if test="jumpType != ''">
                AND jump_type=${jumpType}
            </if>
            <if test="isPush != ''">
                AND is_push=${isPush}
            </if>
            <if test="messageType != ''">
                AND message_type=${messageType}
            </if>
        </where>
        ORDER BY mid DESC
    </select>
</mapper>
